%global name     re
%global ver      0.5.8
%global rel      1

Name: %{name}
Version: %{ver}
Release: %{rel}%{?dist}
Summary: Generic library for real-time communications with async IO support

License: BSD
URL: http://www.creytiv.com/re.html
Source0: http://www.creytiv.com/pub/re-0.5.8.tar.gz

%description
Generic library for real-time communications with async IO support

%package devel
Summary: libre development files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
libre development files.

%prep
%setup -q 

%build
make RELEASE=1

%install
make DESTDIR=%{buildroot} install \
%ifarch x86_64
   LIBDIR=/usr/lib64
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libre*.so*

%files devel
%{_includedir}/re/*.h
%{_datarootdir}/re/re.mk
%{_libdir}/libre*.a
%{_libdir}/pkgconfig/libre.pc


%changelog
* Fri Apr 27 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.5.8-1
- Inital packaging for Fedora based on original spec file by Alfred E. Heggestad
- Updated to conform to Fedora Packaging Guidelines
